1.21-v2.2.1-rc.1
	- Added config option to disable sapling spacing
		- Recipes will attempt to deliver the output to player's inventory before 
		spawning them as itementities.  Visually lacking, but is peak convenience.
		- Workstations are now (theoretically) hopper compliant.
		- Workstations will only accept items from hoppers that are part of a valid recipe for that workstation.

1.21-v2.2.0
	- Corrected IDGTreeSeed not syncing inventory slot when seed was planted
	- Fixed long standing issue with two people not being able to do a ground recipe on a server while using the same type of tool
	- Updated config file to include versioning and allow the distance at which tree saplings can be planted next to each other.
	  - The default is 3 horizontal, 10 vertical. This prevents the "mass production" method of planting trees directly 
		next to each other so they can all be cut down at once. However, in larger trees, the leaves will remain connected,
		and will be cut down all at once. Considering implementing a per-tree version of this setting.

1.21-v2.1.2-rc.2
	- Updated IDGTreeSeed to inherit ItemTreeSeed and removed OnBeforeRender method from IDGTreeSeed.

1.20-v2.1.2-rc.1
	- Ensured all recipes from all supported mods work for chopping block and logsplitter.
	- Four missing textures from Floralzones family of mods added appropriately.
	- Address issue where blockSel being null can cause Null Crash
	- Correct log-quad recipes to use an Adze instead of an axe.
	- Added Latin American Spanish Translation and Spain Spanish translation courtesy of Sir-Ryu

1.20-v2.1.1
	- Fixed version number to respect significant change to asset structuring.
	- Ensured all files from 2.0.6 that were intended to be included *were* included.

1.20-v2.0.6
	- Fixed bug with workstations crashing when using recipes with items. Particles weren't being properly produced.
	- Tweaked minimum recipe duration for a more satisfying experience.
	- Added in-world crafting recipe for wooden pan, removed grid recipe option.
	- Updated handbook with instructions on how to use in-world crafting to create pan.
	- Refactored compatibility to ease updating and to fit proper conventions.
		- This breaks backwards compatibility with any mod that adds trees
			It won't crash, but it will cause unknown blocks for any IDG block made using their woods. 
			While annoying, it is otherwise completely functional. The benefit is that compatibility moving forward
			will be cleaner.

1.20-v2.0.5
	- Fixed bug keeping tool mode indicators from changing when tool mode change.
	- Swapped out the axe for the adze in roughhewn and quad-log recipes.
	- Corrected grid recipes for making adzes not working properly.
	- Implemented particles for workstations and ground recipes.

1.20-v2.0.4
	- Fixed transforms on bark and IDG Tools.
	- Attempted tweak of stump felling.


1.20-v2.0.3
	- Corrected slab blade not appearing in smithing recipes.
	- Removed leather from textures in grub axe and forest axe
	- Changed config files access modifiers to be public (Because InsanityGod asked nicely)
	- Fixed Wildcraft LogSections not working on workstations
	- Fixed Wildcraft Logslabs not rendering properly on the chopping block.
	- Improved workstation naming dynamics, will now check for a translation in the indappledgroves lang file, if none is found, will check using its own domain.\
	- Fixed crash caused when entity passes between player and workstation while processing a recipe. Talk about yer corner cases ;)

1.20-v2.0.2
	- Last minute "fixes" are bad, mm'kay? The fix for the boat broke tools. I fixed the tools, and the boat issue. 

1.20-v2.0.1
	- Fixed wildcraft trees chopping block recipe for bark to reference wildcrafttree trees and produce wildcrafttree bark.
	- Fixed right-clicking ships with tools leading to a crash.

1.20-2.0.1-rc.3
	- Wildcraft Trees
		- Halved resistance values of stumps in Wildcraft Trees
		- Added patch for Wildcraft Logs, Burls, Hollows, and Stumps in UTB, tested stumps successfully successfully
	- Floral Zones Compatibility
		- Halved resistance values of stumps in Floral Zones Stump
		- Added patch for Floralzones Stumps in Logs, Burls, Hollows, and Stumps in UTB, tested stumps successfully


1.20-2.0.1-rc.2
	- Fixed network and ground recipe issues that were causing crashes and non-functionality.
	- Fixed blocks not properly rendering on workstations.
	- Adjusted Log Splitter Visual Transition.

1.20-2.0.1-rc.1
	- Updated patches and compatibility to fit with new paradigm.
	- Fixed the issue with rotation on the firewood block that I caused.
	- Improved recipe completion value.
	- Adjusted lang entries

1.20-2.0.1-dev.3
	- Fixed issue with instant recipe completion in ground recipes.
	- Addressed issue with missing animation reference in sawing recipes.
	- Fixed toolModeMod not being properly located and applied.
	- Updated and balanced tools, mining speeds, workstation multipliers, and various other touches.
	- Reimplemented traders and added new items to the trader options.

1-20-2.0.1-dev.2
	- Added MarkDirty() to FromTreeAttributes to ensure it updates on both sides.
	- Implemented sapling space requirements. Saplings cannot be planted within 2 blocks of grown log or planted sapling.

1-20-2.0.1-dev.1
	- Fixed Saw Transforms
	- SawOgg2 added as sawing sound
	- Sound and Animation entries implemented in all recipe types in RecipeSystem
	- Changed add to addmerge in log patches to fix trees not felling successfully.

1-20-2.0.0-dev.1
	- Refined the recipe types down to ground types, and basic and complex workstation types.
	- Updated all compatibilities to use new recipe system.
	- Updated workstation BlockInfo to provide improved feedback.


1-20-1.1.0
	- Added Behavior Pounding
	- Copied planing.SVG to use as stand-in for future pounding.svg
	- Update of Lang File for basic entries. No block descriptions.
	- Added Log Splitter Block and Block Entity
	- Implemented custom recipes for log splitter
	- Added ability to insert blade and ingredients into Log Splitter
	- Get ingredient from Log Splitter.
	- Add durability to splitter blades
	- Add splitter blade being damaged after recipe complete
	- Updated lang files
	- Updated BlockInfo on Splitter to show held log, blade type, and remaining durability of blade.
	- Created RecipeHandler class, moved recipe handling out of workstation blocks and into this class.
	- Continued refinement of IDGBEWorkstation Class.


1-20-1.0.0
	- Updated to 1.20
	- Changed typeof{Random} to typeof{IRandom} in GrowBranchTranspiler to account for core code changes.

1-19-0.8.5
	- Added Wildcraft Trees 1.2.0 compatibility

1-19-0.8.4
	- Fixed issue where trees would stop generating.

1-19-0.8.3
	- Fixed issue with launching into charSel.
	- Fixed rendering issue.

1-19-0.8.2
	- Gotta put this out sometime.  There's still a known bug on multiplayer servers. Nothing game breaking, but sometimes things won't render on the workstations for players who didn't put them there.
	- Additionally, when they do show for other players, the rendering results can be pretty strange.  Everything mechanical seems to work fine though.

1-19-0.8.0-dev.1
	- Updated config handling to ensure serverside config is respected.
	- Fixed stump generation weirdness with Acacia, Old Oak, Old Kapok, and likely any other "wide" tree that generates with logs rather than log-sections.
	- Added pileful patch
	- Ensured both pileful and more piles patch were added to final compile
	- Fixed Copper Axe patch that caused a variety of errors.
	- Fixed error that resulted in support beams losing their ability to support things.
	- Attempted to fix IDG side issues causing potential conflicts with Primitive Survival when IDG Hollows remain enabled.
	- Corrected issues with chopping block recipes with Return Stacks (Logs -> Log Slabs) not allowing through processing (Holding rightclick through log and log slab)
	- Wood Recovery Recipes disabled for sawbucks until the transforms can be properly ironed out.
	- Fixed minor issue with Tree Hollows not outputting contents when interacted with with full recipe.  Will now spawn into the world.

1-19-0.7.3-dev.2
	- Another hotfix to fix the stuff I broke with the hotfix.  No more crashes on chopping blocks.

	Reported Errors I can't replicate:
	1 - Trees insta breaking with one hit from axes.  This is not happening in the development build tested on vanilla and modded trees.
	2 - I've had two reports of two people being unable to chop a slab 

1-19-0.7.2-dev.2
	- Hotfix for in world recipes being instant and chopping blocks not working.

1-19-0.7.1-dev.2
	- Added new stump models provided by Captain Oats
	- Fixed issue in Adze itemtype that interfered with its performance on chopping blocks.
	- Corrected crash caused by breaking non-vanilla bark bark baskets
	- Shortened soak time to 6 in game hours.
	- Added burls that spawn on trees. Currently drop firewood when broken.
	- Fixed bug where Primitive Survival being installed didn't stop IDG Hollows from Forming
	- Wood Recovery Recipes updated for ground interactions, slabs must be laid flat to recover boards with saw.
	
	

1-19-0.7.1-dev.1
	- Fixed copper axe not working on chopping blocks/in-world recipes. (For Real This Time)

1-19-0.7.0-dev.1
	- Got skillItems rendering again on all tools with BehaviorIDGTool
	- Fixed issue with snow texture not rendering on logslabs
	- Fixed 2x2 trees generating without stumps
	- Added sectional stumps for approprivate trees
	- Attempted to fix stumps floating above blocks of air. It's a proof of concept patch, rather than a full fix.
	- Fixed(?) planted trees not generating with stumps.
	- Fixed error where breaking a compat treehollow would result in an error.
	- Added instructions for modifying treehollow loot config.  It can be found in the zip file.

1-19-0.0.6.1-dev.4
	- Quick patchfix for specialty axes not chopping trees properly.

1-19-0.6.0-dev.4
	- Fixed bug where switching blocks while chopping a tree caused it to fall instantly.(For realsies, I promise)
	- Finally implemented some axes being better at felling trees than others.
	- Fixed Wildcraft and other modded trees not felling properly.
	- Confirmed transforms for chopping block and sawbuck working properly. 
		(This was related to the trees not felling properly... Stupid JSON patching)

1-19-0.6.0-dev.3
	- Updated code for providing material names for stumps and hollows to be more adaptive.
	- Fixed bug where switching blocks while chopping a tree caused it to fall instantly.
	- Updated various values in blockTypes to bring treeStumps into line and to have correct TreeFellingIndex values


1-19-0.6.0-dev.2
	- Fixed bug where interacting with a workstation caused a crash.
	- Added a handbook tab for IDG
	- Added a creative category for IDG blocks

1-19-0.6.0-dev.1
	- Vanilla axes removed from trader loot & loot vessels
	- Forest Axes and Metal Adzes added to trader loot and loot vessels
	- Added Floral Zones Carribean, Cape, Central Australian, East Asiatic, and Neozeylandic Region Compatibility
		- Removed tannin recipes where appropriate, added back tannin recipes with bark
	- Updated code for providing material names for sawbucks/chopping blocks/slabs/bark to be more adaptive.
	- Code overhauled to make IDG function as a group of behaviors, huge compatibility upgrade.
	- Added compatibility with Toolworks tools. IDG tools manufacture compatibility will require Toolworks mod author assistance.
	- Added compatibility for More Piles in the form of grid recipes for bark bundles... Only available when MorePiles is installed.

1-19-0.5.1-dev.1
	- Large trees no longer produce pine stumps, though Kapok trees generating weirdly.
	- Plank recipes removed from Wildcraft Trees, replaced with sawhorse recipes.
	- Return Output added to chopping blocks, they will now put out on log slab and retain the other, the same will happen with firewood.  The visual weirdness is known, and will be worked on as time permits.
	- All wooden fences, plank slabs, stairs, etc should be able to be broken down on the chopping block, they will output firewood or sticks in balance with their inputs.

1-19-0.5.0-rc.3
	- Fixed bug with copper axes not leaning against the wall properly.
	- Added chopping animation to the Adze
	- Added Wildcraft Tree woods to Sawbuck
	- Gave up on trying to fix the adze's not leaning against the wall properly... That's a headache for another day.
	- Updated Chopping Block, Sawbuck, and Bark transforms for aesthetic improvement.

1-19.0.5.0-rc.2
	- Error with stone axes not working to split wood resolved.
	- Narrow logs integrated with Wildcraft compat updates.
	- Firewood block and item resistance adjusted downward for speedier firewood. A bit.
	- Probably some other tinkering I don't recall.

1-19.0.5.0-rc.1
	- Compatibility added for Wildcraft Trees (Trees, bark, bark bundles, bark baskets, logslabs, etc.)
	- New animations for sawing and chopping added by Maltiez
	- Tree resistance adjusted. Remember: Don't bring a nail file to take down an I-Beam. Flint's not good for Ebony or other hardwoods.
	- Saw rate adjusted to reward advancing tools. Yes, this means they're slower now.
	- New bugs probably introduced.

1-18.0.4.10-dev.8
	- Wild Farming Compatibility REALLY achieved (?)

1-18.0.4.10-dev.7
	- Wild Farming Compatibility achieved (?)

1-18.0.4.10-dev.6
	- Simplified sawbuck recipe to accept any kind of log slab, barked or debarked. Recipe was always working, but wasn't clear that it wanted debarked slabs.
	- Correct ground transform issues with copper and stone axes.

1.18-0.4.10-dev.5
	- Adjusted saw times a little more (steel/meteoric iron/iron should be faster)
	- Corrected (?) NRE error when moving cursor off of a block while chopping.
	- Ensured animation stops after leaving workstations block mid-recipe.
	
1.18-0.4.10-dev.3
	- Corrected stump spawning errors occuring with Old English Oaks.
	- Corrected issue with recipes with returnblocks producing multiple output stacks. 

1.18-0.4.10-dev.2
    - Added adze based recipes for fences, gates, and crude doors.
	- Copper axe reintegrated into the system
	- Randomized number of items that appear in Tree Hollows.

1.18-0.4.10-dev.1
	- Implemented hollows regenerating after a period of time.
	- Corrected (?) outputs occasionally failing to spawn after processing time.
	- Add oak bark recipe for both strong and weak tannin, and from weak tannin to strong.
	- Updated tree hollow/stump generation to be more cycle efficient

1.18-0.4.9-rc.8
	- Corrected issue where axes would break any block they touch instantly. 

1.18-0.4.9-rc.7
	- Corrected treefelling times
	- Altered how treeResistance is determined
	- Adding "treeFellingDivisor" configurable option to impact how final treeResistance is determined.
		- Set to 2 by default, which halves the resistance of the tree. Higher numbers reduces the resistance, lower increases.
	- Fix firewood block lang entry

1.18-0.4.9-rc.6
	- Hotpatch to fix crashing when axe breaks.  Became apparent further tweaking of tree resistance is going to be necessary, trees fall too fast.

1.18-0.4.9-rc.5
	- Hotpatch to Fix Firewood Issue

1.18-0.4.9-rc.4
	- Corrected missing ruined axes.
	- Cleaned up a few console errors.


1.18-v0.4.9-rc.3
	- Corrected logs from large trees (nw/ne/se/sw) not being able to be chopped in the world.
	- Removed vanilla recipes for debarked logs and support beams
	- Integrated debarked logs and support beam recipes as appropriate.
	- Made updates to the handbook
	- Continued working on Wildcraft Trees Integration, but some Lang file entries still aren't taking.

1.18-v0.4.9-rc.2
	- Updated a variety of blocks to make use of some clever options to reduce name bloat in the lang file.
	- Corrected missing textures on Adze's and Bark Baskets
	- Updated Handbook Entries for greater clarity
	- Removed recipes for firewood and planks (again?)
	- Removed Copper and Tin Bronze vanilla axes.
	- Made firewood able to be used in Clay Ovens again.


1.18-v0.4.9-rc.1
	- Made drops from treehollows configurable
	- Removed stripped log blocktype, added compat with vanilla debarked logs
	- Updated recipes and patches to accommodate the latest recipes
	

1.17-v0.4.8
	- Corrected axes not working with Fern Trees, Fruit Trees, and Bamboo.
	- Updated Adze to have tooltype Hoe in it's itemtype to make ToolDurabilityModifier apply to it directly. May have unintended consequences.
	- Updated Adze ground recipes for logs to drop 4 bark per log rather than 2.
	- Updated IDGTool to accommodate four block trees.
	- Added feature to generate stumps and hollows in Wildcraft Trees (when present)
	- Implemented stripped logs to boards recipes for ground and sawbuck
	- Made saws damage appropriately
	- Corrected tree trunks spawning incorrectly.
	- Corrected bark duplication issue (Noelle?)
	- Corrected bark converting to last piece used (Noelle?)
	- Made it possible to pick up a placed piece of firewood by right-clicking it.
		- Further, this involved implementing a new behavior that may, in reality, just be a rewrite of the existing PickUpOnRightClick.
	- Wildcraft Trees compatibilty complete(?)
	- Released for testing to Patrons.


1.17-v0.4.7
	- Fixed saw error, and *actually* fixed stumps not spawning.

1.17-0-v0.4.6
	- Fixed error with stumps not spawning after last update
	- Made adjustments to make patching for mod compatibility more accessible.

1.17.0-v0.4.5
	- Corrected infinite loop caused when using an axe to chop a placed log. Oops.

1.17.0-v0.4.4
	- Stick recipe altered to drop only 2 sticks per firewood instead of 4.

1.17.0-v0.4.3-rc.2
	- Saw code update to fall into compliance with paradigm.
	- Saw mining speeds altered to match those of axes to ensure consistent progression.
	- Balanced log slab resistances to be half that of a full block.

1.17-v0.4.3-rc.1
	- Documentation improvements
	- Addressed bugs involving crashes when chopping treehollows as base block in a tree
	- Corrected tree hollows not causing rest of tree to break when targeted when chopping tree.

1.17-v0.4.2-dev.1
	- Added WorldInteraction feedback that tells person holding tool what ground recipe results will be.
	- Addressed crash when tools break while in use.

1.17-v0.4.1-rc.2
	- Actually made sure that the adzehead itemtype got included in the final file.

1.17-v0.4.1-rc.1
	- Added Adze grid, knapping and smithing recipes, as well as lang updates.

1.17-v0.4.0-dev.2
	- Updated lang file to work properly for stripped logs, added wood type to chopping blocks.
	- Updated lang file to accommodate splitting maul and adze
	- Corrected transforms on the Sawbuck and Chopping Block
	- Removed hewing from stone axes
	- Removed planing from metal axes
	- Disable Unfinished Boards
	- Updated IDGTool to be able to change transform of a tool when its toolmode changes.
	- Removed the following processes in favor of updated method.
			- groundChopTime - How long a tool takes to chop wood on the ground
			- groundChopDamage - The amount of durability the tool takes when chopping on the ground
			- choppingBlockChopTime - How long a tool takes to chop wood on the chopping block
			- choppingBlockChopDamage - How much damage the tool takes when chopping on the ground
	- Altered config file to provide options for changing the processing speed of wood on workstations.
			- workstationMiningSpdMult -> Modifies impact of mining speed of tools. Higher numbers = faster processing
			- workstationResistanceMult -> Modifies effective resistance of blocks on workstations. Higher numbers => slower processing.
			- groundRecipeMiningSpdMult -> Modifies impact of mining speed of tools. Higher numbers = faster processing
			- groundRecipeResistanceMult -> Modifies effective resistance of blocks on groundRecipes. Higher numbers => slower processing.
			- treefellingResistanceMult -> Higher numbers make chopping trees take longer, lower numbers increase speed of trees being choppped.
	- Added smithing recipes for grubaxehead, forestaxehead, maulhead, as well as shapes and itemtypes.
	- Added grid recipes for grub axe, forest axe, maul.
	- Implemented Spear and Fang's Tree Hollows

1.17-v0.4.0-dev
	- Corrected error with leaf breaking
	- Added submergible behavior
	- Included barkbasket recipes, updated lang file

1.17-v0.3.0
	- Integrated various components from AncientTools, including barkbaskets, bark shapes, adze models, adze toolhead shapes, etc. Thank you Taska!
	- Added recipes for in-world stripping of bark and splitting of logs into log slabs with and without bark. 
	- Added dependency for ALCMY1

1.16-v0.2.0
	- Added Saw Buck Block
		- Added CollisionBox and SelectionBox
		- Added Wood Variants
	- Added Saw Buck Block Entity
		- Refactored Code to check for saw related properties instead of chopBlock related properties
	- Added Log Slabs
	- Refactored Chopping Block process to drop log slabs instead of firewood
	- Added chopping block interaction for log slabs that produces firewood
	- Updated spawnOutput code to accept block or item output.
	- Updated spawn

1.16-v0.1.0-dev.1
	- Added Chopping Block Functionality
	- Added BehaviorWoodSplitter
	- Added handling for woodSplitterProps attribute ()
		- groundChopTime - How long a tool takes to chop wood on the ground
		- groundChopDamage - The amount of durability the tool takes when chopping on the ground
		- choppingBlockChopTime - How long a tool takes to chop wood on the chopping block
		- choppingBlockChopDamage - How much damage the tool takes when chopping on the ground
	- Ensured interactions with a chopping block containing a block doesn't result in block placement

1.15.10-v0.1.0-dev.1
	- Added in-world sawing and chopping mechanics with sound
	- Added bark related content, including reduced basket size
	- Removed Oak leaf transition state for later consideration
	- Corrected context help for saw and axe to read "sprint" (Ctrl) rather than "sneak" (shift).

